Foreman - Bug #28874

Eager zero seems to do nothing
01/28/2020 02:04 PM - Markus Bucher

Status: Closed

Priority: Normal

Assignee: Ondrej Ezr

Category: Compute resources - VMware

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases: 1.22.2, Nightly
Bugzilla link: 1821629 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/7650,

https://github.com/theforeman/foreman/p

ull/7660,

https://github.com/theforeman/foreman/p

ull/7659
Description

When creating a host it is possible to select 'Eager zero' for the VMWare VM.
But if | check this option, the VirtualDisk is still marked as 'Lazy Zero' in VMWare.

Also, when creating a new VM from an existing Image/Template, the resulting VM's VirtualDisk also always is 'Lazy Zero'.

Looks like there was a fix recently, which solved a related issue for Thick/Thin-Provisioning: #27015

Associated revisions

Revision ea98c8ab - 05/17/2020 09:36 AM - Bernhard Suttner
Fixes #28874 - set/get eager zero flag

Revision d2c03559 - 05/17/2020 12:46 PM - Ondrej Ezr
Refs #28874 - bump fog version

History

#1 - 03/30/2020 01:37 PM - Bernhard Suttner

- Assignee set to Chris Roberts

can you have a look at it chris?

#2 - 03/30/2020 03:37 PM - Chris Roberts
Hey Bernhard,

Sure will start to see what is going on, thanks for flagging me in it.

#3 - 03/30/2020 03:38 PM - Chris Roberts

- Status changed from New to Assigned

#4 - 04/23/2020 12:28 PM - Ondrej Ezr
- Bugzilla link set to 1821629

#5 - 05/04/2020 09:34 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7634 added

#6 - 05/11/2020 07:45 PM - The Foreman Bot
https://projects.theforeman.org/issues/27015

- Pull request https://github.com/theforeman/foreman/pull/7647 added

#7 - 05/12/2020 01:42 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7650 added

#8 - 05/15/2020 12:19 PM - Ondrej Ezr
- Assignee changed from Chris Roberts to Ondrej Ezr

#9 - 05/17/2020 09:36 AM - The Foreman Bot
- Fixed in Releases 2.2.0 added

#10 - 05/17/2020 10:01 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset ea98c8ab376f84e38efb2b385bc6dd4160c150d7.

#11 - 05/17/2020 11:10 AM - Ondfej Ezr
- Pull request deleted (https://github.com/theforeman/foreman/pull/7634, https.//github.com/theforeman/foreman/pull/7647)

#12 - 05/17/2020 11:15 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7659 added

#13 - 05/17/2020 11:50 AM - Tomer Brisker
- Fixed in Releases 2.1.0 added
- Fixed in Releases deleted (2.2.0)

#14 - 05/17/2020 12:06 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7660 added

#15 - 09/10/2020 04:57 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7975 added
